searchData={"items":[{"type":"module","title":"AshCascadeArchival","doc":"","ref":"AshCascadeArchival.html"},{"type":"macro","title":"AshCascadeArchival.cascade_archive/1","doc":"","ref":"AshCascadeArchival.html#cascade_archive/1"},{"type":"module","title":"AshCascadeArchival.Info","doc":"","ref":"AshCascadeArchival.Info.html"},{"type":"function","title":"AshCascadeArchival.Info.cascade_archive_except/1","doc":"List of relationships to exclude from archival.","ref":"AshCascadeArchival.Info.html#cascade_archive_except/1"},{"type":"function","title":"AshCascadeArchival.Info.cascade_archive_except!/1","doc":"List of relationships to exclude from archival.","ref":"AshCascadeArchival.Info.html#cascade_archive_except!/1"},{"type":"function","title":"AshCascadeArchival.Info.cascade_archive_options/1","doc":"cascade_archive DSL options\n\nReturns a map containing the and any configured or default values.","ref":"AshCascadeArchival.Info.html#cascade_archive_options/1"},{"type":"module","title":"AshCascadeArchival.Transformer","doc":"","ref":"AshCascadeArchival.Transformer.html"},{"type":"function","title":"AshCascadeArchival.Transformer.after_compile?/0","doc":"Callback implementation for  Spark.Dsl.Transformer.after_compile?/0 .","ref":"AshCascadeArchival.Transformer.html#after_compile?/0"},{"type":"extras","title":"AshCascadeArchival","doc":"# AshCascadeArchival\n\nAutomatically sets `archive_related` from `ash_archival` for all `has_many`, `has_one`, and `many_to_many` relationships.","ref":"readme.html"},{"type":"extras","title":"Installation - AshCascadeArchival","doc":"Add `ash_cascade_archival` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ash_cascade_archival, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - AshCascadeArchival","doc":"```elixir\ndefmodule Post do\n  use Ash.Resource,\n    data_layer: Ash.DataLayer.Postgres,\n    extensions: [AshCascadeArchival]\n\n  attributes do\n    uuid_primary_key :id\n    attribute :title, :string\n  end\n\n  relationships do\n    belongs_to :author, Author\n\n    has_many :comments, Comment\n    has_many :post_tags, PostTag\n\n    many_to_many :tags, Tag, through: PostTag\n  end\n\n  actions do\n    defaults [:read, :destroy, create: :*, update: :*]\n  end\nend\n```\n\nFor the example above, `archive_related` of `ash_archival` is automatically set as follows.\n\n```elixir\narchive do\n  archive_related [:comments, :post_tags]\nend\n```","ref":"readme.html#usage"},{"type":"extras","title":"License - AshCascadeArchival","doc":"MIT","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}